# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# $Header: /home/cvsroot/gentoo-x86/dev-perl/MP3-Info/MP3-Info-1.01-r1.ebuild,v 1.8 2002/08/14 04:32:33 murphy Exp $

inherit perl-module

S="${WORKDIR}/${P}"
DESCRIPTION="IPC::ShareLite provides a simple interface to shared memory, allowing data to be efficiently communicated between processes."
SRC_URI="http://www.cpan.org/authors/id/M/MA/MAURICE/${P}.tar.gz"
HOMEPAGE="http://www.cpan.org/authors/id/M/MA/MAURICE/"

DEPENDS="virtual/glibc"

SLOT="0"
LICENSE="Artistic | GPL-2"
KEYWORDS="x86 ppc sparc sparc64"

src_compile() {

	# configure everything automatically first, so it doesn't prompt
	cat ${FILESDIR}/Makefile.PL.patch | patch || die "couldn't patch Makefile.PL";
	perl-module_src_compile

}
